#include <Arduino.h>
#include "BluetoothA2DPSink.h"

BluetoothA2DPSink a2dp_sink;

const char * dev_name = "DRUYVE.AM";  // Bluetooth ID
int freq_khz = 990;                   //Carrier-frequency == 990 kHz

const byte carrier_gpio = 16;         // Carrier-Output-Pin
int bits = 2;                         // 2^2 == 4
int duty = 2^bits / 2;                // 50%       

gpio_num_t carrier_ = gpio_num_t(carrier_gpio);

void connection_state_changed(esp_a2d_connection_state_t state, void *ptr){
  Serial.print("========= CONNECTION STATE: ");
  Serial.print(a2dp_sink.to_str(state));
  Serial.println(" =========");
}

void setup() {

 Serial.begin(115200);
 Serial.println();

// Setup Carrier (PWM aka LEDC)
 ledcAttachPin(carrier_gpio, 0);                // ASSIGN CHANNEL 1 TO GPIO-PIN
 ledcSetup(0, freq_khz * 1000, bits);           // SET FREQENCY 
 pinMode(carrier_gpio, OUTPUT_OPEN_DRAIN);      // THIS DOES THE TRICK !!
 ledcWrite(0, duty);                            // DUTY SHOULD BE 50%

// Start BT
  a2dp_sink.set_on_connection_state_changed(connection_state_changed);  //LET'S SEE, WHAT HAPPENS ...
  a2dp_sink.set_auto_reconnect(true, false, 3);                         // AUTO RECONNECT IF WE LOST CONNECTION 
  a2dp_sink.set_mono_downmix(true);                                     // WE ONLY WANT MONO !!
  a2dp_sink.start(dev_name, true);                                      // LISTEN TO THE MUSIC 
  
  Serial.println("========= STARTED ! ===========");

}

void loop() {
}